Interface UpdateBackupRequestOrBuilder (6.25.1)

Stay organized with collections Save and categorize content based on your preferences.
public interface UpdateBackupRequestOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getBackup()

public abstract Backup getBackup()

Required. The backup to update. backup.name, and the fields to be updated as specified by update_mask are required. Other fields are ignored. Update is only supported for the following fields:

  • backup.expire_time.

.google.spanner.admin.database.v1.Backup backup = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
Backup

The backup.

getBackupOrBuilder()

public abstract BackupOrBuilder getBackupOrBuilder()

Required. The backup to update. backup.name, and the fields to be updated as specified by update_mask are required. Other fields are ignored. Update is only supported for the following fields:

  • backup.expire_time.

.google.spanner.admin.database.v1.Backup backup = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
BackupOrBuilder

getUpdateMask()

public abstract FieldMask getUpdateMask()

Required. A mask specifying which fields (e.g. expire_time) in the Backup resource should be updated. This mask is relative to the Backup resource, not to the request message. The field mask must always be specified; this prevents any future fields from being erased accidentally by clients that do not know about them.

.google.protobuf.FieldMask update_mask = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
FieldMask

The updateMask.

getUpdateMaskOrBuilder()

public abstract FieldMaskOrBuilder getUpdateMaskOrBuilder()

Required. A mask specifying which fields (e.g. expire_time) in the Backup resource should be updated. This mask is relative to the Backup resource, not to the request message. The field mask must always be specified; this prevents any future fields from being erased accidentally by clients that do not know about them.

.google.protobuf.FieldMask update_mask = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
FieldMaskOrBuilder

hasBackup()

public abstract boolean hasBackup()

Required. The backup to update. backup.name, and the fields to be updated as specified by update_mask are required. Other fields are ignored. Update is only supported for the following fields:

  • backup.expire_time.

.google.spanner.admin.database.v1.Backup backup = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
boolean

Whether the backup field is set.

hasUpdateMask()

public abstract boolean hasUpdateMask()

Required. A mask specifying which fields (e.g. expire_time) in the Backup resource should be updated. This mask is relative to the Backup resource, not to the request message. The field mask must always be specified; this prevents any future fields from being erased accidentally by clients that do not know about them.

.google.protobuf.FieldMask update_mask = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
boolean

Whether the updateMask field is set.